/*
Copyright 2008-2010 Gephi
Authors : Mathieu Bastian <mathieu.bastian@gephi.org>
Website : http://www.gephi.org

This file is part of Gephi.

Gephi is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

Gephi is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Gephi.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.gephi.ui.exporter.preview;

import org.gephi.io.exporter.preview.SVGExporter;

/**
 *
 * @author Mathieu Bastian
 */
public class UIExporterSVGPanel extends javax.swing.JPanel {

    public UIExporterSVGPanel() {
        initComponents();
    }

    public void setup(SVGExporter svgExporter) {
        strokeScaleCheckbox.setSelected(svgExporter.isScaleStrokes());
    }

    public void unsetup(SVGExporter svgExporter) {
        svgExporter.setScaleStrokes(strokeScaleCheckbox.isSelected());
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        strokeScaleCheckbox = new javax.swing.JCheckBox();
        labelStrokeScale = new javax.swing.JLabel();

        strokeScaleCheckbox.setText(org.openide.util.NbBundle.getMessage(UIExporterSVGPanel.class, "UIExporterSVGPanel.strokeScaleCheckbox.text")); // NOI18N

        labelStrokeScale.setFont(labelStrokeScale.getFont().deriveFont((labelStrokeScale.getFont().getStyle() | java.awt.Font.ITALIC)));
        labelStrokeScale.setForeground(new java.awt.Color(153, 153, 153));
        labelStrokeScale.setText(org.openide.util.NbBundle.getMessage(UIExporterSVGPanel.class, "UIExporterSVGPanel.labelStrokeScale.text")); // NOI18N

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(strokeScaleCheckbox)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(labelStrokeScale, javax.swing.GroupLayout.DEFAULT_SIZE, 261, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(strokeScaleCheckbox)
                    .addComponent(labelStrokeScale))
                .addContainerGap(158, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel labelStrokeScale;
    private javax.swing.JCheckBox strokeScaleCheckbox;
    // End of variables declaration//GEN-END:variables
}
